<template>
    <v-app>
        <div id="app">
            <v-app-bar color="#006400">
                <v-app-bar-nav-icon class="white--text" @click.stop="drawer = !drawer"></v-app-bar-nav-icon>
                <v-toolbar-title class="white--text">Ets Feuillâtre Administration</v-toolbar-title>
            </v-app-bar>
            <v-navigation-drawer v-model="drawer" app bottom temporary absolute>
                <v-list nav dense>
                    <v-list-item to="/">
                        <v-list-item-title>Home</v-list-item-title>
                    </v-list-item>
                    <v-list-item to="/client">
                        <v-list-item-title>Gestion des clients</v-list-item-title>
                    </v-list-item>
                    <v-list-item to="/moyens">
                        <v-list-item-title>Gestion des moyens</v-list-item-title>
                    </v-list-item>
                    <v-list-item to="/vehicles">
                        <v-list-item-title>Gestion des véhicules</v-list-item-title>
                    </v-list-item>
                </v-list>
            </v-navigation-drawer>
            <v-btn class="float-left green" dark id="btn-back" v-on:click="$router.go(-1)">Retour</v-btn>  <!--TODO STYLE THIS SHIT-->
            <router-view>
            </router-view>
        </div>
    </v-app>
</template>

<script>
    export default {
        data: () => ({
            showNavigation: false,
            drawer: false,
            group: null,
        }),
        watch: {
            group() {
                this.drawer = false
            }
        }
    }
</script>

<style lang="scss" scoped>
    #app {
        font-family: Avenir, Helvetica, Arial, sans-serif;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
        text-align: center;
        color: #2c3e50;
    }

    #nav {
        padding: 30px;
    }

    #nav a {
        font-weight: bold;
        color: #2c3e50;
    }

    #nav a.router-link-exact-active {
        color: #42b983;
    }

    #header {
        background: darkgreen;
        color: white;
    }

    #btn-back {
        margin: 16px;
    }
</style>
